device_type: "qemu"

job_name: "tuxrun@qemu-i386: perf"
priority: "medium"
visibility: "public"

context:
    arch: "i386"
    machine: "q35"
    cpu: "coreduo"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 50
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/sda debug verbose console_msg_format=syslog systemd.log_level=warning earlycon"'
        url: "https://storage.tuxboot.com/buildroot/i386/bzImage"
      rootfs:
        image_arg: "-drive file={rootfs},if=ide,format=raw"
        url: "https://storage.tuxboot.com/buildroot/i386/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
          perf:
            url: "https://example.com/perf.tar.xz"
            path: "/"
            format: tar
            compression: xz
          overlay-00:
            url: "http://example.com/overlay1.tar.xz"
            path: "/"
            format: tar
            compression: xz
          overlay-01:
            url: "http://example.com/overlay2.tar.xz"
            path: "/"
            format: tar
            compression: xz
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 30
    definitions:
    - repository: file://testdef.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/perf/perf.yaml
      parameters:
        SKIP_INSTALL: 'true'
      name: perf
